#!/bin/sh

# Create the exported directory
mkdir -p build

if [ "$1" = "alpine" ]; then
	REGEX='\./\(\(api\|packages\)/[^/]\+/dist/lib\|services/[^/]\+/dist\)'
else
	REGEX='\./\(\(api\|packages\)/[^/]+/dist/lib\|services/[^/]+/dist\)'
fi

# Locate services/packages and grab only the built files (excluding types if any)
for file in $(find . -regex $REGEX); do
	echo $file;
	cp --parents -R $file build;
done
